# Project Governance


## Project Owner

This project is governed by a single Project Owner (PO) which is responsible for
the entire project.

The PO has final authority over this project.

For the current PO, see the project README.md.


## Collaborators

This repository is maintained by the PO and additional Collaborators who are
added by the PO on an ongoing basis.

Individuals making significant and valuable contributions are made Collaborators
and given commit-access to the project.  These individuals are identified by the
PO and their addition as Collaborators is done by the PO.

Modifications of the contents of this repository are made on a collaborative
basis.  Anyone in the TurnerBroadcasting GitHub organization with access to see
the repository may propose a modification via a pull request and it will be
considered by the project Collaborators.  All pull requests must be reviewed and
accepted by a Collaborator with sufficient expertise who is able to take full
responsibility for the change.  In the case of pull requests proposed by an
existing Collaborator, on projects with multiple Collaborators, an additional
Collaborator is required for sign-off.  Consensus should be sought if additional
Collaborators participate and there is disagreement around a particular
modification.  See _Consensus Seeking Process_ below for further detail on the
consensus model used for governance.

Collaborators may opt to elevate signification or controversial modifications,
or modifications that have not found consensus to the PO for discussion by
assigning the ***po-review*** tag to a pull request or issue.  The PO should
serve as the final arbiter where required.

A guide for Collaborators is maintained in
[COLLABORATOR_GUIDE.md](./COLLABORATOR_GUIDE.md).


## Consensus Seeking Process

The Collaborators should make sure their cases are clear in the pull request
that has the ***po-review*** tag.  The PO will read the pull request in its
entirety and make a final decision.
